Update Bulk Pipelines
curl --request PUT \
--url https://api.streamkap.com/pipelines/bulk_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": {
"tags": [
"<string>"
]
},
"ids": [
"<string>"
],
"select_all": false,
"filters": {
"source_id": "<string>",
"destination_id": "<string>"
}
}
'import requests
url = "https://api.streamkap.com/pipelines/bulk_update"
payload = {
"payload": { "tags": ["<string>"] },
"ids": ["<string>"],
"select_all": False,
"filters": {
"source_id": "<string>",
"destination_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payload: {tags: ['<string>']},
ids: ['<string>'],
select_all: false,
filters: {source_id: '<string>', destination_id: '<string>'}
})
};
fetch('https://api.streamkap.com/pipelines/bulk_update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pipelines
Update Bulk Pipelines
Update tags for multiple pipelines in bulk.
Supports two modes:
- Explicit IDs: Pass a list of pipeline IDs to update
- Select all: Set select_all=true with optional filters
PUT
/
pipelines
/
bulk_update
Update Bulk Pipelines
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Bulk update pipeline request.
Supports two modes:
- Explicit IDs: Pass a list of pipeline IDs to update
- Select all: Set select_all=true with optional filters
Payload for bulk tag updates across entity types.
Show child attributes
Show child attributes
List of pipeline IDs to update
If true, select all pipelines matching the filters
Optional filters when using select_all
Show child attributes
Show child attributes
Response
Successful Response
Was this page helpful?
⌘I